from invoke import task, run
import subprocess
import os

# Get absolute path of directory holding tasks.py
__ROOT_DIR__ = os.path.dirname(os.path.realpath(__file__))

# Concatenate with "roles" to get absolut path of roles directory
ANSIBLE_ROLES_PATH = os.path.join(__ROOT_DIR__, "roles")


# Remove all retry files generated by Ansible
@task
def clean(context):
    run("rm -f *.retry */*.retry")

# Run any playbook located in playbooks folder
@task
def play(context, inventory="cloud-vps.yml", playbook="letsencrypt_webservers.yml"):
    _export = "ANSIBLE_ROLES_PATH={0}".format(ANSIBLE_ROLES_PATH)
    _cmd = "ansible-playbook -i inventories/{0} playbooks/{1}".format(inventory, playbook)

    CMD = _export + " " + _cmd
    print("Running ansible playbook with following command: \n {0}".format(CMD))

    run(CMD)
